<img
	*ngIf="!useIcon"
	[matMenuTriggerFor]="languageMenu"
	[attr.aria-label]="'transl.simple.language' | translate"
	[matTooltip]="'transl.simple.language' | translate"
	src="assets/images/languages/{{ translateService.currentLang || translateService.defaultLang || 'en' }}.svg"
/>

<button
	*ngIf="useIcon"
	mat-icon-button
	[matMenuTriggerFor]="languageMenu"
	[attr.aria-label]="'transl.simple.language' | translate"
	[matTooltip]="'transl.simple.language' | translate"
>
	<mat-icon>translate</mat-icon>
</button>

<mat-menu #languageMenu xPosition="before">
	<button *ngFor="let language of languages || ['en']" class="flag" mat-menu-item (click)="selectLanguage(language)">
		<img src="assets/images/languages/{{ language }}.svg" />{{ 'transl.languages.' + language | translate }}
	</button>
</mat-menu>
